﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define e = Character("Eileen")


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg room

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.

    "Man, I'm sad and lonely."

    "I also live in or close to New York City."

    "But I don't know what to do, so I'll just do what I usually do. Which is:"

    scene bg computer

menu:

    "Typing a random string of letters into my url bar!":
        jump randomweb

    "Browsing my favorite indie game websites!":
        jump favoriteweb

    "Looking for fun local places to go to on websites that I trust!":
        jump reviewweb

label randomweb:

    "I mash on my keyboard as hard as I can, and I end up typing out: "

    "https://www.glorioustrainwrecks.com/"

    "Wow, that's a real website! That doesn't usually happen."

    scene bg glorioustrainwrecks

    "And it appears to be a website dedicated to bringing back the spirit of postcardware, circa 1993. It's about throwing a bunch of random crap into your game and keeping whatever sticks."

    "Seems like a great concept!"

    "Oh and hey! They've got an event coming up at this place called baby castles! It's a salon style group show curated by and featuring many members from the Glorious Trainwrecks community."

    "WOW! It's taking place locally, at 145 W 14th St, New York, NY 10011!"

    "I'm gonna go check it out. This is gonna be a lot of fun!!!"

    scene bg final

    "145 W 14th St, New York, NY 10011"

    return

label favoriteweb:

    "My favorite indie game website right now is Glorious Trainwrecks on https://www.glorioustrainwrecks.com/."

    scene bg glorioustrainwrecks

    "It's a website dedicated to bringing back the spirit of postcardware, circa 1993. It's about throwing a bunch of random crap into your game and keeping whatever sticks."

    "Hey! They've got an event coming up at this place called baby castles! It's a salon style group show curated by and featuring many members from the Glorious Trainwrecks community."

    "WOW! It's taking place locally, at 145 W 14th St, New York, NY 10011!"

    "I'm gonna go check it out. This is gonna be a lot of fun!!!"

    scene bg final

    "145 W 14th St, New York, NY 10011"

    return

label reviewweb:

    "I decide to look at the websites I trust most to figure out what to do. But what websites are those?"

menu:

    "nytimes.com!":
        jump nytimes

    "atlasobscura.com!":
        jump atlas

    "yelp.com!":
        jump yelp


label nytimes:

    scene bg nytimes

    "I find the article \"An Arcade to Make Gamers Cry\" by Hugh Ryan. This is an old, outdated article, but it may still have useful information in it."

    "It's about Babycastles, an independent arcade in Queens. That's close to where I live!"

    "Hey! They've got an event coming up! It's a salon style group show curated by and featuring many members from the Glorious Trainwrecks community."

    "I'm gonna go check it out, since it's so close to where I live, and since I love stuff like this. The address is 145 W 14th St, New York, NY 10011! This is gonna be a lot of fun!!!"

    scene bg final

    "145 W 14th St, New York, NY 10011"

    return
label atlas:

    scene bg atlas

    "I find the entry \"Babycastles\" contributed by lampbane. This entry explains that babycastles is an art collective that does video game centric stuff."

    "This seems interesting, and it's about stuff that I'm interested in. Plus, it's local!"

    "Hey! They've got an event coming up! It's a salon style group show curated by and featuring many members from the Glorious Trainwrecks community."

    "I'm gonna go check it out, since it's so close to where I live, and since I love stuff like this. The address is 145 W 14th St, New York, NY 10011! This is gonna be a lot of fun!!!"

    scene bg final

    "145 W 14th St, New York, NY 10011"
    return

label yelp:

    scene bg yelp

    "I find the spot \"Babycastles\". The 5 star review by Paul A. seems insightful and interesting."

    "This seems like the kind of thing that I would be into. Plus, it's local!"

    "Hey! They've got an event coming up! It's a salon style group show curated by and featuring many members from the Glorious Trainwrecks community."

    "I'm gonna go check it out, since it's so close to where I live, and since I love stuff like this. The address is 145 W 14th St, New York, NY 10011! This is gonna be a lot of fun!!!"

    scene bg final

    "145 W 14th St, New York, NY 10011"
    return
